# IRfClipFn Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | SetKeyFrame ([in] IRsNode *pAnimSpaceRoot,[in] IRnAnimClip *pAnimClip,[in] BSTR bszAnimAttrName,[in]RtTime timeT)
HRESULT | GetClipNode ([in] IRsNode *pAnimSpace,[in] BSTR bszClipName,[out, retval] IRnAnimClip **ppClipNode)
HRESULT | RemoveClips ([in] IRdAnimClipSel *spClipSelection)
HRESULT | RemoveClip ([in] IRsNode *pAnimSpace,[in] BSTR bszClipName)

## Detailed Description

The IRfClipFn interface provides functionality for manipulating clips in animation.

## Member Function Documentation

HRESULT IRfClipFn::SetKeyFrame | ( | [in] IRsNode * | pAnimSpaceRoot,
|  | [in] IRnAnimClip * | pAnimClip,
|  | [in] BSTR | bszAnimAttrName,
|  | [in] RtTime | timeT |
| ) |  |  |

Set a keyframe for object at given time.

- Only keyframe for specified attribute is created.
- New keyframe values are evaluated from the current state of object and the animation context at given time.
- Keyframes are stored in the clip specified by input parameter.
- Default animation structures are created in case that object has not been animated.

Parameters:

  | pAnimSpaceRoot | [in] Animated encapsulator node.
  | pAnimClip | [in] Identification of clip node where new keyframe is stored.
  | bszAttr | [in] Name of attribute relative to animated encapsulator space.
  | timeT | [in] Frame value in which keyframes are set.

HRESULT IRfClipFn::GetClipNode | ( | [in] IRsNode * | pAnimSpace,
|  | [in] BSTR | bszClipName,
|  | [out, retval] IRnAnimClip ** | ppClipNode |
| ) |  |  |

Resolves clip node from the name.

Parameters:

  | pAnimSpace | [in] Animated encapsulator node (animated object).

Returns:
  ppClipNode [out,retval] Clip node.

HRESULT IRfClipFn::RemoveClips | ( | [in] IRdAnimClipSel * | spClipSelection | ) |

Removes clips based on the clip selection.

Parameters:

  | spClipSelection | [in] Selected clips to remove.

HRESULT IRfClipFn::RemoveClip | ( | [in] IRsNode * | pAnimSpace,
|  | [in] BSTR | bszClipName |
| ) |  |  |

Removes single specified clip.

Parameters:

  | pAnimSpace | [in] Animated encapsulator node (animated object).
  | bszClipName | [in] Clip to remove.